<div class="container text-center">
  <table class="table table-striped table-responsive text-center">
    <thead class="thead-dark thead">
      <tr>
        <th scope="col">#</th>
        <th scope="col">Full Name</th>
        <th scope="col">Username</th>
        <th scope="col">Email</th>
      </tr>
    </thead>
    <tbody class="tbody">
      <tr *ngFor="let user of users, let i = index">
        <a routerLink="/user/{{i+1}}">
          <td scope="row">{{ user.id }}</td>
        </a>
        <td>{{ user.name }}</td>
        <td>{{ user.username }}</td>
        <td>{{ user.email }}</td>
      </tr>
    </tbody>
  </table>
</div>